net.corda.core.crypto

## Class MerkleTree

- net.corda.core.crypto.MerkleTree

- Direct Known Subclasses:
    MerkleTree.Leaf, MerkleTree.Node

      public class MerkleTree

  Creation and verification of a Merkle Tree for a Wire Transaction.

  See: https://en.wikipedia.org/wiki/Merkle_tree

  Transaction is split into following blocks: inputs, attachments' refs, outputs, commands, notary, signers, tx type, timestamp. Merkle Tree is kept in a recursive data structure. Building is done bottom up, from all leaves' hashes. If number of leaves is not a power of two, the tree is padded with zero hashes.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `MerkleTree.Companion`
    `static class` | `MerkleTree.Leaf`
    `static class` | `MerkleTree.Node`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static MerkleTree.Companion` | `Companion`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SecureHash` | `getHash()`

- - ### Field Detail

    - #### Companion

          public static MerkleTree.Companion Companion

  - ### Method Detail

    - #### getHash

          public SecureHash getHash()